# OMFlut
# Copyright 2024 University of Liège
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from setuptools import setup, find_packages
import re

__version__ = re.findall(
    r"""__version__ = ["']+([0-9\.]*)["']+""",
    open('omflut/__init__.py').read(),
)[0]

setup(
    name='omflut',
    version=__version__,
    description='OMFlut is a collection of tools to perform flutter analysis and flutter-constrained optimization calculations.',
    keywords='aeroelasticity flutter optimization OpenMDAO Python',
    author='',
    author_email='',
    url='https://gitlab.uliege.be/am-dept/omflut',
    license='Apache 2.0',
    packages=find_packages(include=['omflut*']),
    install_requires=['numpy>=1.22', 'scipy>=1.8', 'openmdao>=3.19'],
    classifiers=['Operating System :: OS Independent', 'Programming Language :: Python'],
)
